Subject: l10n: localizations in extension llxml-files are not respected
Description

If you have more then one language in an extension llxml-file, only the default language is used. This results in wrong labels.

I tracked it down to this code in tx_lang_parser_llxml.php:
public function getParsedTargetData($path) {
        if (!isset($this->parsedTargetFiles[$path])) {
            $this->parsedTargetFiles[$path] = $this->parseXmlTargetFile($path);
        }
        return $this->parsedTargetFiles[$path];
    }
In this use case, $path is &lt;extpath&gt;/locallang.xml for both default language and additional languages.

A workaround is to move the labels to a file in typo3conf/l10n as the language packs from translation server do.

Related issues:
duplicates Core - Bug # 27972: LLXML Parser does not support localized label ... Closed 2011-07-08

History
#1 - 2011-07-07 15:35 - Björn Pedersen

Extension for test:
tx_frm2newpm (in the repository)

#2 - 2011-07-08 08:42 - Björn Pedersen

https://review.typo3.org/#change,3119

#3 - 2011-07-14 11:46 - Björn Pedersen

fixed in master now. See http://forge.typo3.org/issues/27972

#4 - 2011-07-14 11:54 - Xavier Perseguers
- Status changed from New to Closed
